;======================================================================
.input po4000m, 11, 78
.placement 9, 1
.title ' Line Item Detail', highlight
.paint _

.field plltyp, a1, pos(1,1), prompt("Line type"), fpos(1,14), -
 help(POLINTYP), change_method("ANYFLD_CHANGE"), -
 select(1,3,,"I-stock item","N-non stock")

.field plitem, a24, pos(2,1), prompt("Item ID"), fpos(2,14), -
 help(POITEMID), user('#Drill/Req#'), -
 drill_method("INITEM_FIND"), change_method("INITEM_CHANGE"), -
 hyperlink_method("INITEM_HYPER"), info("FIND(Lookup)...^A(Maintenance)"), -
 arrive_method("ANYFLD_ARRIVE")

.field pllocn, a3, pos(3,1), prompt("Location"), fpos(3,14), -
 help(POLOCATION), user('#Drill/Req/L#'), -
 drill_method("SMCODE_FIND"), change_method("SMCODE_CHANGE"), -
 hyperlink_method("SMCODE_HYPER"), info("FIND(Lookup)...^A(Maintenance)"), -
 uc

.field pllocn_descr, a25, fpos(3,20), paint(" ")

.field pldesc, a30, pos(4,1), prompt("Description"), fpos(4,14), -
 help(PODESCRIP), arrive_method("ANYFLD_ARRIVE")

.field plorqt, d9.3, pos(5,1), prompt("Order qty"), fpos(5,14), -
 help(POQTYORD), default(1), change_method("ANYFLD_CHANGE"), -
 format("ZZZ,ZZZ.XXX-"), negative

.field plcost, d9.3, pos(6,1), prompt("Unit cost"), fpos(6,14), -
 help(POUCOST), copy, change_method("ANYFLD_CHANGE"), -
 format("ZZZ,ZZZ.XXX-"), negative

.field plbuom, a3, pos(7,1), prompt("UOM"), fpos(7,14), -
 help(POITEMUOM), copy, user('#Drill/Req/U#'), -
 drill_method("SMCODE_FIND"), change_method("SMCODE_CHANGE"), -
 hyperlink_method("SMCODE_HYPER"), info("FIND(Lookup)...^A(Maintenance)"), -
 uc
.field plbuom_descr, a25, fpos(7,20), paint(" ")

.field plcatg, a3, pos(8,1), prompt("Category"), fpos(8,14), -
 help(POCATEGORY), copy, user('#Drill/Req/C#'), -
 drill_method("SMCODE_FIND"), change_method("SMCODE_CHANGE"), -
 hyperlink_method("SMCODE_HYPER"), info("FIND(Lookup)...^A(Maintenance)"), -
 uc

.field plcatg_descr, a25, fpos(8,20), paint(" ")

.field plvnid, a24, pos(9,1), prompt("Vendor item"), fpos(9,14), -
 help(POVNITEM), copy, change_method("ANYFLD_CHANGE"), -
 arrive_method("ANYFLD_ARRIVE")

.field plrqdt, d8, pos(1,46), prompt("Date required"), fpos(1,62), -
 help(POREQDATE), copy, date

.field pldisc, d4.2, pos(2,46), prompt("Discount %"), fpos(2,62), -
 help(PODISCPCT), format("ZZ.XX-"), negative

.field plcube, d4.2, pos(3,46), prompt("Cubes"), fpos(3,62), -
 help(POCUBE), copy, format("ZZ.XX")

.field plwght, d6.2, pos(4,46), prompt("Weight"), fpos(4,62), -
 help(POWEIGHT), copy, format("ZZZZ.XX")

.field plupdt, a1, pos(5,46), prompt("Update IN cost"), fpos(5,62), -
 help(POUPDTCOST), selwnd(1,3,yesno)

.line line1, 78, pos(10,1)
.text text1, pos(11,1)
Remarks-esc RM
.text text2, pos(11,18)
Extd descr-esc ED
.text text3, pos(11,38)
Hist-esc HI
.text text4, pos(11,52)
Retotal-esc RT
.text text5, pos(11,69)
Ref-esc RF

.structure rec1, <11>,plltyp,plitem,pllocn,pldesc,plvnid,plbuom,plcatg,-
        plorqt,<36>,plcost,pldisc,<9>,plrqdt,<10>,plupdt,<6>,-
        plwght,plcube
.set set_ordr, rec1, plltyp,plitem,pllocn,pldesc,plorqt,plcost,plbuom,plcatg,-
        plvnid,plrqdt,pldisc,plcube,plwght,plupdt
.set set_show, rec1, plltyp,plitem,pllocn,pldesc,plorqt,plcost,plbuom,plcatg,-
        plvnid,plrqdt,pldisc,plcube,plwght,plupdt
.end
;
